com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface ConditionSection

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ConditionSection
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Condition Section'.

  The following features are supported:

  - `Row Count`
  - `Scroll Row Top`
  - `Column Width Factor`
  - `Condition Item List`
  See Also:
    `DecisiontablePackage.getConditionSection()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getColumnWidthFactor()` Returns the value of the 'Column Width Factor' attribute
    `org.eclipse.emf.common.util.EList` | `getConditionItemList()` Returns the value of the 'Condition Item List' containment reference list.
    `int` | `getRowCount()` Returns the value of the 'Row Count' attribute
    `int` | `getScrollRowTop()` Returns the value of the 'Scroll Row Top' attribute
    `void` | `setColumnWidthFactor(double value)` Sets the value of the '`Column Width Factor`' attribute
    `void` | `setRowCount(int value)` Sets the value of the '`Row Count`' attribute
    `void` | `setScrollRowTop(int value)` Sets the value of the '`Scroll Row Top`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRowCount

          int getRowCount()

      Returns the value of the 'Row Count' attribute.

      If the meaning of the 'Row Count' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Row Count' attribute.
      See Also:
        `setRowCount(int)`, `DecisiontablePackage.getConditionSection_RowCount()`

    - #### setRowCount

          void setRowCount(int value)

      Sets the value of the '`Row Count`' attribute.
      Parameters:
        `value` - the new value of the 'Row Count' attribute.
      See Also:
        `getRowCount()`

    - #### getScrollRowTop

          int getScrollRowTop()

      Returns the value of the 'Scroll Row Top' attribute.

      If the meaning of the 'Scroll Row Top' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Scroll Row Top' attribute.
      See Also:
        `setScrollRowTop(int)`, `DecisiontablePackage.getConditionSection_ScrollRowTop()`

    - #### setScrollRowTop

          void setScrollRowTop(int value)

      Sets the value of the '`Scroll Row Top`' attribute.
      Parameters:
        `value` - the new value of the 'Scroll Row Top' attribute.
      See Also:
        `getScrollRowTop()`

    - #### getColumnWidthFactor

          double getColumnWidthFactor()

      Returns the value of the 'Column Width Factor' attribute.

      If the meaning of the 'Column Width Factor' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Factor' attribute.
      See Also:
        `setColumnWidthFactor(double)`, `DecisiontablePackage.getConditionSection_ColumnWidthFactor()`

    - #### setColumnWidthFactor

          void setColumnWidthFactor(double value)

      Sets the value of the '`Column Width Factor`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Factor' attribute.
      See Also:
        `getColumnWidthFactor()`

    - #### getConditionItemList

          org.eclipse.emf.common.util.EList getConditionItemList()

      Returns the value of the 'Condition Item List' containment reference list. The list contents are of type `ConditionItem`.

      If the meaning of the 'Condition Item List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Condition Item List' containment reference list.
      See Also:
        `DecisiontablePackage.getConditionSection_ConditionItemList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.